Get an evaluation
curl --request GET \
--url https://judged.systems/api/evaluations/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://judged.systems/api/evaluations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://judged.systems/api/evaluations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"packId": "<string>",
"packVersionId": "<string>",
"source": "playground",
"status": "accept",
"redactedTicket": {
"externalId": "48213",
"subject": "Charged twice for May",
"customerMessage": "I was billed twice and want one refunded."
},
"result": {
"status": "accept",
"answers": {},
"reviewReasons": [
"<string>"
],
"modelId": "<string>",
"latencyMs": 123,
"derived": {
"department": "<string>",
"priority": "<string>",
"tags": [
"<string>"
]
},
"usage": {
"inputTokens": 123,
"outputTokens": 123
}
},
"modelId": "<string>",
"latencyMs": 123,
"usage": {},
"createdAt": "2023-11-07T05:31:56Z",
"labels": [
{
"id": "<string>",
"questionId": "<string>",
"answer": {
"type": "choice",
"choice": "<string>"
},
"note": "<string>",
"agreement": true
}
]
}{
"error": "<string>",
"issues": [
{}
]
}Evaluations
Get an evaluation
Requires judgments:read.
GET
/
api
/
evaluations
/
{id}
Get an evaluation
curl --request GET \
--url https://judged.systems/api/evaluations/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://judged.systems/api/evaluations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://judged.systems/api/evaluations/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"packId": "<string>",
"packVersionId": "<string>",
"source": "playground",
"status": "accept",
"redactedTicket": {
"externalId": "48213",
"subject": "Charged twice for May",
"customerMessage": "I was billed twice and want one refunded."
},
"result": {
"status": "accept",
"answers": {},
"reviewReasons": [
"<string>"
],
"modelId": "<string>",
"latencyMs": 123,
"derived": {
"department": "<string>",
"priority": "<string>",
"tags": [
"<string>"
]
},
"usage": {
"inputTokens": 123,
"outputTokens": 123
}
},
"modelId": "<string>",
"latencyMs": 123,
"usage": {},
"createdAt": "2023-11-07T05:31:56Z",
"labels": [
{
"id": "<string>",
"questionId": "<string>",
"answer": {
"type": "choice",
"choice": "<string>"
},
"note": "<string>",
"agreement": true
}
]
}{
"error": "<string>",
"issues": [
{}
]
}Authorizations
apiKeybearerAuth
Path Parameters
Response
The evaluation.
Available options:
playground, api, mcp, webhook, simulation Available options:
accept, review, reject Show child attributes
Show child attributes
Example:
{
"externalId": "48213",
"subject": "Charged twice for May",
"customerMessage": "I was billed twice and want one refunded."
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes